org.eclipse.ease.lang.unittest.definition.impl

## Class FlagToStringMap

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.ease.lang.unittest.definition.impl.FlagToStringMap

All Implemented Interfaces:
  java.util.Map.Entry<Flag,java.lang.String>, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.common.util.BasicEMap.Entry<Flag,java.lang.String>, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class FlagToStringMap
    extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
    implements org.eclipse.emf.common.util.BasicEMap.Entry<Flag,java.lang.String>

An implementation of the model object 'Flag To String Map'.

The following features are implemented:

- `Key`
- `Value`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EMap<Flag,java.lang.String>` `getEMap()`
`int` `getHash()`
`Flag` `getKey()`
`Flag` `getTypedKey()`
`java.lang.String` `getTypedValue()`
`java.lang.String` `getValue()`
`void` `setHash(int hash)`
`void` `setKey(Flag key)`
`void` `setTypedKey(Flag newKey)`
`void` `setTypedValue(java.lang.String newValue)`
`java.lang.String` `setValue(java.lang.String value)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map.Entry

`comparingByKey, comparingByKey, comparingByValue, comparingByValue, equals, hashCode`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eNotify`

### Method Detail

#### getTypedKey

    public Flag getTypedKey()

#### setTypedKey

    public void setTypedKey(Flag newKey)

#### getTypedValue

    public java.lang.String getTypedValue()

#### setTypedValue

    public void setTypedValue(java.lang.String newValue)

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### getHash

    public int getHash()

Specified by:
  `getHash` in interface `org.eclipse.emf.common.util.BasicEMap.Entry<Flag,java.lang.String>`

#### setHash

    public void setHash(int hash)

Specified by:
  `setHash` in interface `org.eclipse.emf.common.util.BasicEMap.Entry<Flag,java.lang.String>`

#### getKey

    public Flag getKey()

Specified by:
  `getKey` in interface `java.util.Map.Entry<Flag,java.lang.String>`

#### setKey

    public void setKey(Flag key)

Specified by:
  `setKey` in interface `org.eclipse.emf.common.util.BasicEMap.Entry<Flag,java.lang.String>`

#### getValue

    public java.lang.String getValue()

Specified by:
  `getValue` in interface `java.util.Map.Entry<Flag,java.lang.String>`

#### setValue

    public java.lang.String setValue(java.lang.String value)

Specified by:
  `setValue` in interface `java.util.Map.Entry<Flag,java.lang.String>`

#### getEMap

    public org.eclipse.emf.common.util.EMap<Flag,java.lang.String> getEMap()